import java.util.*;

public class Raum {
	Platte[] p;
	String name;

	Raum(Platte[] p, String name) {
		this.p = p;
		this.name = name;
	}

	boolean istBenachbartMit(Raum r) {
		if ( this == r ) {
			return false;
		}

		for (int i=0; i<p.length; i++) {
			for (int j=0; j<r.p.length; j++) {
				if ( p[i] == r.p[j] ) {
					return true;
				}
			}
		}

		return false;
	}

	Set nachbarn(Gebaude g) {
		Set nachbarn = new HashSet();

		for (int i=0; i<g.r.length; i++) {
			if ( istBenachbartMit(g.r[i]) ) {
				nachbarn.add(g.r[i]);
			}
		}
		return nachbarn;
	}

	public String toString() {
		return name;
	}
}